function OnWarpEnter()
	PlaySound("Sounds/SFX/A_Water1.ogg",-1)
	SetMarker("Isis\\Warp_0016.wp",0,0)
	SetMarker("Isis\\Warp_0010.wp",0,0)	
	SetMarker("Isis\\Warp_0011.wp",0,0)
	

	if not BeenIn_is_015 then
		O_nut_is_015=true
		O_shu_is_015=true
		O_geb_is_015=true
		BeenIn_is_015=true
	end

	if not CanCross_is_016 then
		SetMarker("LEAVEGOD_IS_015",4,0)
		if not O_nut_is_015 then
			SetMarker("n2I1", 2, 0)
			PutObject("n2I1")
		end
		
		if not O_shu_is_015 then
			SetMarker("s2I1", 2, 0)
			PutObject("s2I1")
		end
		
		if not O_geb_is_015 then
			SetMarker("g2I1", 2, 0)
			PutObject("g2I1")
		end
	end
	
	if CanCross_is_016 then
		AnimationSetToEnd("POI1")
		PutObject("s2I1")
		PutObject("g2I1")
		PutObject("n2I1")
	end
	StartAnimationPart("I3I1",60,90,-1,true)

end

function OnWarpLeave()
end

function OnAnimationFinished(objectName)
	if objectName=="POI1" then 
		AnimationSetToEnd("POI1")
		
	end
end

function OnWarpObjectHit(objectName)
	if objectName == "g1I1" then

------------------------------------------------------------
	elseif objectName == "g2I1" and not CanCross_is_016 then

		if not O_geb_is_015 and not GodTaken_is_008 then
			AddToBag("Geb")
			GodTaken_is_008=true
			SetMarker("g2I1",-1,0)
			RemoveObject("g2I1")
			O_geb_is_015=true
		else
			DrawText("MAIA0744","MAIA0744.ogg")
		end

------------------------------------------------------------
	elseif objectName == "n1I1" then

------------------------------------------------------------
	elseif objectName == "n2I1" and not CanCross_is_016 then

		if not O_nut_is_015 and not GodTaken_is_008 then
			AddToBag("Nout")
			GodTaken_is_008=true
			SetMarker("n2I1",-1,0)
			RemoveObject("n2I1")
			O_nut_is_015=true
		else
			DrawText("MAIA0744","MAIA0744.ogg")
		end

------------------------------------------------------------
	elseif objectName == "r1I1" then

------------------------------------------------------------
	elseif objectName == "s1I1" then

------------------------------------------------------------
	elseif objectName == "s2I1" and not CanCross_is_016 then

		if not O_shu_is_015 and not GodTaken_is_008 then
			AddToBag("Shou")
			GodTaken_is_008=true
			SetMarker("s2I1",-1,0)
			RemoveObject("s2I1")
			O_shu_is_015=true
		else
			DrawText("MAIA0744","MAIA0744.ogg")
		end

------------------------------------------------------------
	elseif objectName == "I3I1" then

------------------------------------------------------------
	elseif objectName == "POI1" then

------------------------------------------------------------
	elseif objectName == "WAi1" then

------------------------------------------------------------
	elseif objectName == "l1I1" then

------------------------------------------------------------
	elseif objectName == "l3I1" then

------------------------------------------------------------
	elseif objectName == "3D\\LEAVEGOD_IS_015" and not CanCross_is_016  then
		
		if Selected("Nout") then
			PutObject("n2I1")
			SetMarker("n2I1",2,0)
			RemoveFromBag()
			O_nut_is_015=false
			GodTaken_is_008=false
			if not O_nut_is_015 and not O_shu_is_015 and not O_geb_is_015 then
				LookAt(237,000)
				DrawText("ISIS0748","ISIS0748.ogg")
				StartAnimation("POI1",1)
				CanCross_is_016=true
				SetMarker("n2I1",-1,0)
				SetMarker("g2I1",-1,0)
				SetMarker("s2I1",-1,0)
			end
		
		elseif Selected("Shou") then
			PutObject("s2I1")
			SetMarker("s2I1",2,0)
			RemoveFromBag()
			O_shu_is_015=false
			GodTaken_is_008=false
		
		elseif Selected("Geb") then
			PutObject("g2I1")
			SetMarker("g2I1",2,0)
			RemoveFromBag()
			O_geb_is_015=false
			GodTaken_is_008=false
		
		else 
			DrawText("MAIA0170","MAIA0170.ogg")
		end
	end


	if objectName=="3D\\Isis\\Warp_0016.wp" then
		ChangeWarp(objectName)
	end
	if objectName=="3D\\Isis\\Warp_0011.wp" then
		ChangeWarp(objectName)
	end
	if objectName=="3D\\Isis\\Warp_0010.wp" then
		ChangeWarp(objectName)
	end
end
